@import '../../styles/variables';

.home-page {
  .top-bar {
    position: sticky;
    top: 0;
    z-index: 999;
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-bottom: 1px solid $border-color;
    background: $white;
    padding: 16px 24px;
    margin: 0 0 48px;
    box-shadow: 0 0 5px 0 rgba($black, 0.2);

    .logo {
      font-size: 24px;
      color: rgba($black, 0.8);
      font-weight: 900;
      font-family: monospace;
    }
  }

  .page-body {
    max-width: 800px;
    margin: auto;
    padding: 0 15px;

    h1 {
      font-size: 32px;
      font-weight: 500;
      line-height: 1;
      margin: 0 0 24px;
      padding-bottom: 8px;
      border-bottom: 1px solid $border-color;
      display: flex;
      align-items: flex-end;
      justify-content: space-between;
      color: $black;

      span {
        font-size: 16px;

        cursor: pointer;
        color: $main;

        i {
          font-size: 24px;
        }
      }
    }
  }

  .tasks {
    display: flex;
    flex-flow: column nowrap;

    &.flip {
      flex-direction: column-reverse;
    }

    &-wrapper {
      margin-bottom: 48px;
    }

    .task {
      display: flex;
      align-items: center;
      justify-content: space-between;
      background-color: $white;
      border: 1px solid $border-color;
      border-radius: 4px;
      padding: 16px;
      margin: 8px;

      @media (max-width: $bp-sm) {
        flex-flow: row wrap;
      }

      .title {
        @media (max-width: $bp-sm) {
          margin-bottom: 8px;
          flex: 1 1 100%;
        }
      }

      .actions {
        display: inline-flex;
        align-items: center;
        @media (max-width: $bp-sm) {
          margin-left: auto;
        }

        .edit,
        .delete {
          color: $danger;
          font-size: 12px;
          line-height: 1;
          cursor: pointer;
          margin: 0 16px;

          @media (max-width: $bp-sm) {
            font-size: 11px;
            margin: 0 8px;
          }

          &:hover {
            text-decoration: underline;
          }
        }

        .edit {
          color: $success;
        }

        input {
          width: 18px;
          height: 18px;
          margin: 0;
          cursor: pointer;
        }
      }
    }
  }
}
